import {
    obtenerDatosLocalStorage,
    guardarLocalStorage,
    validarInputs,
    activarBoton,
    redireccionUrl
  } from "../../helpers/main_modulos.js";

const $inputDistancia = document.getElementById('distancia');
const $botonSiguiente = document.getElementById('btn-siguiente');
const botonSiguiente = '#btn-siguiente';
let areaDistanciamiento;
let distanciamientoValido = true;
const campoActual = "distanciamiento";


const numeroPaginaActual =  obtenerDatosLocalStorage('numeroPaginaActual') || 0;

document.addEventListener('change', (e)=> {
    if(e.target.matches('#distancia')){
        distanciamientoValido = $inputDistancia.validity.valid;
        let esValido = validarInputs(distanciamientoValido);
        activarBoton(esValido, $botonSiguiente);
    }
});

document.addEventListener('click', (e)=> {
    if(e.target.matches(botonSiguiente)){
        e.preventDefault();
        let areaPorPersona = $inputDistancia.value * $inputDistancia.value;
        guardarLocalStorage(campoActual, +$inputDistancia.value);
        guardarLocalStorage("areaPorPersona", areaPorPersona);
        guardarLocalStorage("numeroPaginaActual", numeroPaginaActual+1);
        redireccionUrl('superficie-establecimiento');
    }
});

window.addEventListener('load', (e)=> {

    let valorDistancia = obtenerDatosLocalStorage('distanciamiento');
    if (valorDistancia) {
        $inputDistancia.value = valorDistancia;
    }

    distanciamientoValido = $inputDistancia.validity.valid;
    let esValido = validarInputs(distanciamientoValido);
    activarBoton(esValido, $botonSiguiente);   
    guardarLocalStorage('formularioCompleto', false);
}); 
